﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Design
{
    public partial class Designer : Form
    {
        public Designer()
        {
            InitializeComponent();
            prop.SelectedObject = this;
        }

        private void quitMenuItem_Click(object sender, EventArgs e)
        {
            Close ();
        }

        public void selectObject (object obj)
        {
            prop.SelectedObject = obj;
        }

        private void insertComponentMenuItem_Click(object sender, EventArgs e)
        {
            Block b = new Block (this);
            b.Parent = area;
            selectObject (b);

            TreeNode node = new TreeNode ();
            node.Text = "block";
            node.Tag = b;
            tree.Nodes.Add(node);
        }

        private void tree_AfterSelect(object sender, TreeViewEventArgs e)
        {
            selectObject (e.Node.Tag);
        }
    }
}
